Subject: Re: bug#5175: 23.1.50; mark deactivated without running deactivate-mark-hook when replying with Gnus

From: Katsumi Yamaoka <[email-masked]>
Date: Tue, 05 Jan 2010 11:23:54 +0900

>>>>> Chong Yidong wrote:
> Katsumi Yamaoka <[email-masked]> writes:

>>> 	* message.el (message-exchange-point-and-mark): Call
>>> 	exchange-point-and-mark with an argument rather than setting
>>> 	mark-active by hand (Bug#5175).
>>
>> This incompatible change makes Gnus not work with old Emacsen, so
>> I don't merge it to the Gnus trunk, i.e., No Gnus.  Any idea not
>> to use the argument of `exchange-point-and-mark'?

> I've reworked the change to use the simpler functions from my previous
> message; I think this should solve the backward compatibility problem.

Thanks for fixing it.  I've verified it also clears the problem:

http://news.gmane.org/group/gmane.emacs.gnus.general/thread=56821